%define		_class		Net
%define		_subclass	NNTP
%define		upstream_name	%{_class}_%{_subclass}
%define		peardir	%(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define		xmldir	/var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	1.5.2
Release:	%mkrel 3
Summary:	NNTP implementation
License:	W3C
Group:		Development/PHP
URL:		http://pear.php.net/package/Net_NNTP/
Source0:	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.4.5
BuildArch:	noarch
%global	__requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

%description
PEAR's package for communication with NNTP/Usenet servers.
Net_NNTP handles the connection and protocol level commands (RFC977),
including many commonly implemented non-standard commands (RFC2980).
Net_NNTP includes an unserfriendly API for intermediate user, who don't
want to work directly at the command level. However, Net_NNTP does require
some knowlege about the NNTP protocol (RFC 977), and general knowledge
about email (RFC(2)822) and MIME (2045-2048), since any handling of both
content and headers is left up to the user!
The protocol implementation does not parse the actual article data, but at
the command level it splits returned data at protocol specified boundaries
where appropriate.

%prep
%setup -c -T
pear -v -c pearrc \
	-d php_dir=%{peardir} \
	-d doc_dir=/docs \
	-d bin_dir=%{_bindir} \
	-d data_dir=%{peardir}/data \
	-d test_dir=%{peardir}/tests \
	-d ext_dir=%{_libdir} \
	-s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}

# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_NNTP.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_NNTP.xml

%postun
if [ "$1" -eq "0" ]; then
	pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_NNTP
fi

%files
%doc docs/Net_NNTP/*
%{peardir}/*
%{xmldir}/Net_NNTP.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.5.2-3.mga8
+ Revision: 1507320
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.5.2-2.mga7
+ Revision: 1287846
- Mageia 7 Mass Rebuild

* Tue Dec 19 2017 mokraemer <mokraemer> 1.5.2-1.mga7
+ Revision: 1183302
- new version

* Mon Feb 08 2016 umeabot <umeabot> 1.5.0-7.mga6
+ Revision: 950029
- Mageia 6 Mass Rebuild

* Mon Oct 20 2014 tv <tv> 1.5.0-6.mga5
+ Revision: 792198
- exclude deps from doc

* Wed Oct 15 2014 umeabot <umeabot> 1.5.0-5.mga5
+ Revision: 751059
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.5.0-4.mga5
+ Revision: 734098
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 1.5.0-3.mga5
+ Revision: 687381
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.5.0-2.mga4
+ Revision: 528212
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 spuhler <spuhler> 1.5.0-1.mga4
+ Revision: 443850
- upgrade to version 1.5.0
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 1.4.0-6.mga3
+ Revision: 377022
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 1.4.0-5.mga1
+ Revision: 43891
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_NNTP


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-5mdv2011.0
+ Revision: 613733
- the mass rebuild of 2010.1 packages

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.0-4mdv2010.1
+ Revision: 468711
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.4.0-3mdv2010.0
+ Revision: 441488
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-2mdv2009.1
+ Revision: 322494
- rebuild

* Tue Sep 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.0-1mdv2009.0
+ Revision: 278932
- update to new version 1.4.0

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.3-2mdv2009.0
+ Revision: 236991
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.3-1mdv2007.0
+ Revision: 82374
- Import php-pear-Net_NNTP

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.3-1mdk
- 1.3.3
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdk
- initial Mandriva package (PLD import)

